Subject: Twitter redirect

From: Jeremie King <[email-masked]>
Date: Thu, 20 Apr 2023 22:45:29 +0000

Version 102.9.0esr (64-bit)
Clean install from Fedora 37 repos

Problem: Twitter is redirecting to inappropriate websites. It looks like maybe there was something that would redirect users to nitter (why would that be appropriate anyway, the browser should not be interfering with my choice of URL) and maybe the old link doesn't work anymore? It looks like it's one of those parked URLs that transfers to multiple domains for ad revenue.

How disappointing! I would love to switch from firefox to ice cat... but this is nefarious behavior!

I can provide screenshots or video of the issue. Again, this is a very clean install on a new system. I have also reproduced on multiple machines.